import argparse
import os

def create_project(project_name: str):
    os.makedirs(project_name, exist_ok=True)
    with open(os.path.join(project_name, "app.py"), "w") as f:
        f.write(f'''from whale import Whale

app = Whale("{project_name}")

@app.route("/")
def home():
    return {{"message": "Welcome to {project_name}!"}}

if __name__ == "__main__":
    app.run()
''')
    print(f"Created project '{project_name}'")

def main():
    parser = argparse.ArgumentParser(description="Whale CLI")
    parser.add_argument("command", choices=["create"], help="Command to run")
    parser.add_argument("name", help="Name of the project")
    args = parser.parse_args()

    if args.command == "create":
        create_project(args.name)

if __name__ == "__main__":
    main()